/***********************************************************************

nucular -- a program that splits extended pedigrees into nuclear families
Copyright (C) 2005 Mathieu Lemire.

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**********************************************************************/



#if !defined (INCLUDE_PEDSTRUCTBYFAM) 
#include "PedStructByFam.hh"
#define INCLUDE_PEDSTRUCTBYFAM
#endif

class PedStructByNuclearFam : public PedStructByFam
{
  
  int nnuclearfamilies;
  int * nuclearfamilysizes;
  int ** nuclearfamilylabels;
  // [i][j] : i : the ith nuclear family; j : where to look in Pedstruct
  int ** isparent; 
  // of the nuclear family; we may want to mark parents of parents as 0
  // [i][j] : i : the ith nuclear family; 
  // j: 1 if father, 2 if mother
   
 
public : 
  
  PedStructByNuclearFam(char *, int=0, bool=0);
  
  ~PedStructByNuclearFam(){
    delete nuclearfamilysizes;
    delete [] nuclearfamilylabels;
    delete [] isparent;
  }

  int NNuclearFamilies(){
    return nnuclearfamilies;
  }
  int NuclearFamilySizes( int i ){
    return  nuclearfamilysizes [i];
  }
  int NuclearFamilyLabels(int i, int j){
    return  nuclearfamilylabels[i][j];
  }
  int IsParent (int i, int j){
    return isparent[i][j];
  }


};

